<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:robotics.components="http://www.eclipse.org/papyrus/robotics/components/1" xmlns:robotics.parameters="http://www.eclipse.org/papyrus/robotics/parameters/1" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xsi:schemaLocation="http://www.eclipse.org/papyrus/robotics/components/1 http://www.eclipse.org/papyrus/robotics/1#//components http://www.eclipse.org/papyrus/robotics/parameters/1 http://www.eclipse.org/papyrus/robotics/1#//parameters">
  <uml:Model xmi:id="_7dB2wA6rEeqas7S1-hM4Zg" name="rviz2">
    <packageImport xmi:type="uml:PackageImport" xmi:id="_7dB2wQ6rEeqas7S1-hM4Zg">
      <importedPackage xmi:type="uml:Model" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#_0"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_7dB2wg6rEeqas7S1-hM4Zg">
      <importedPackage xmi:type="uml:Model" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_LaOOAJcvEeeV0-Lu2yLOjA"/>
    </packageImport>
    <packagedElement xmi:type="uml:Class" xmi:id="_ljX7gA6uEeqas7S1-hM4Zg" name="rviz2">
      <ownedAttribute xmi:type="uml:Port" xmi:id="_ltzp4A6uEeqas7S1-hM4Zg" name="tf" type="_lt04AA6uEeqas7S1-hM4Zg"/>
      <ownedAttribute xmi:type="uml:Port" xmi:id="_lt5JcA6uEeqas7S1-hM4Zg" name="tf_static" type="_lt6XkA6uEeqas7S1-hM4Zg"/>
      <ownedAttribute xmi:type="uml:Port" xmi:id="_lt-B8A6uEeqas7S1-hM4Zg" name="clicked_point" type="_lt-pAA6uEeqas7S1-hM4Zg"/>
      <ownedAttribute xmi:type="uml:Port" xmi:id="_luBsUA6uEeqas7S1-hM4Zg" name="initialpose" type="_luCTYA6uEeqas7S1-hM4Zg"/>
      <ownedAttribute xmi:type="uml:Port" xmi:id="_luEvoQ6uEeqas7S1-hM4Zg" name="goal" type="_luF9wA6uEeqas7S1-hM4Zg"/>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_lt04AA6uEeqas7S1-hM4Zg"/>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_lt6XkA6uEeqas7S1-hM4Zg"/>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_lt-pAA6uEeqas7S1-hM4Zg">
        <interfaceRealization xmi:type="uml:InterfaceRealization" xmi:id="_luBFQA6uEeqas7S1-hM4Zg" client="_lt-pAA6uEeqas7S1-hM4Zg">
          <supplier xmi:type="uml:Interface" href="pathmap://ROS2_LIB_BASE/services/geometry_msgs.servicedef.uml#svcdefs/P_PointStamped"/>
          <contract xmi:type="uml:Interface" href="pathmap://ROS2_LIB_BASE/services/geometry_msgs.servicedef.uml#svcdefs/P_PointStamped"/>
        </interfaceRealization>
      </nestedClassifier>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_luCTYA6uEeqas7S1-hM4Zg">
        <interfaceRealization xmi:type="uml:InterfaceRealization" xmi:id="_luEvoA6uEeqas7S1-hM4Zg" client="_luCTYA6uEeqas7S1-hM4Zg">
          <supplier xmi:type="uml:Interface" href="pathmap://ROS2_LIB_BASE/services/geometry_msgs.servicedef.uml#svcdefs/P_PoseWithCovarianceStamped"/>
          <contract xmi:type="uml:Interface" href="pathmap://ROS2_LIB_BASE/services/geometry_msgs.servicedef.uml#svcdefs/P_PoseWithCovarianceStamped"/>
        </interfaceRealization>
      </nestedClassifier>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_luF9wA6uEeqas7S1-hM4Zg">
        <interfaceRealization xmi:type="uml:InterfaceRealization" xmi:id="_luJoIA6uEeqas7S1-hM4Zg" client="_luF9wA6uEeqas7S1-hM4Zg">
          <supplier xmi:type="uml:Interface" href="pathmap://ROS2_LIB_BASE/services/geometry_msgs.servicedef.uml#svcdefs/P_PoseStamped"/>
          <contract xmi:type="uml:Interface" href="pathmap://ROS2_LIB_BASE/services/geometry_msgs.servicedef.uml#svcdefs/P_PoseStamped"/>
        </interfaceRealization>
      </nestedClassifier>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_BN_VcA-AEeqYjOkV1WinKg"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Usage" xmi:id="_lt4iYA6uEeqas7S1-hM4Zg" client="_lt04AA6uEeqas7S1-hM4Zg">
      <supplier xmi:type="uml:Interface" href="pathmap://ROS2_LIB_BASE/services/tf2_msgs.servicedef.uml#svcdefs/P_TFMessage"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Usage" xmi:id="_lt9a4A6uEeqas7S1-hM4Zg" client="_lt6XkA6uEeqas7S1-hM4Zg">
      <supplier xmi:type="uml:Interface" href="pathmap://ROS2_LIB_BASE/services/tf2_msgs.servicedef.uml#svcdefs/P_TFMessage"/>
    </packagedElement>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_7dB2xQ6rEeqas7S1-hM4Zg">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_7dB2xg6rEeqas7S1-hM4Zg" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/bpc/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_BPC_PROFILES/bpc.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_7dB2xw6rEeqas7S1-hM4Zg">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_7dB2yA6rEeqas7S1-hM4Zg" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_7dB2yQ6rEeqas7S1-hM4Zg">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_7dB2yg6rEeqas7S1-hM4Zg" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//components"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_EZ1TgJZ2Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_7dB2yw6rEeqas7S1-hM4Zg">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_7dB2zA6rEeqas7S1-hM4Zg" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commpattern"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_8Z6x8Je6EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_7dB2zw6rEeqas7S1-hM4Zg">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_7dB20A6rEeqas7S1-hM4Zg" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//deployment"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_tu6OsJe9EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_7dB20Q6rEeqas7S1-hM4Zg">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_7dCd0A6rEeqas7S1-hM4Zg" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//services"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SlbOAJe_EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_7dCd0Q6rEeqas7S1-hM4Zg">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_7dCd0g6rEeqas7S1-hM4Zg" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commobject"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_bz5AcPCaEeee6ab5J_C5Dg"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_7dCd0w6rEeqas7S1-hM4Zg">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_7dCd1A6rEeqas7S1-hM4Zg" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//functions"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SV7GwC6LEei0V9-WLHIyvg"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_7dCd1Q6rEeqas7S1-hM4Zg">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_7dCd1g6rEeqas7S1-hM4Zg" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//parameters"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_-pU5oDmpEei--ZsfKWaFtw"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_7dCd1w6rEeqas7S1-hM4Zg">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_7dCd2A6rEeqas7S1-hM4Zg" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//generics"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_eFhjMEnvEeien6eLHpkAxA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_7dCd2Q6rEeqas7S1-hM4Zg">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_7dCd2g6rEeqas7S1-hM4Zg" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/MARTE/1#//MARTE_Foundations/NFPs"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://Papyrus_PROFILES/MARTE.profile.uml#_U_GAoAPMEdyuUt-4qHuVvQ"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_7dCd2w6rEeqas7S1-hM4Zg">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_7dCd3A6rEeqas7S1-hM4Zg" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/MARTE/1#//MARTE_Annexes/VSL/DataTypes"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://Papyrus_PROFILES/MARTE.profile.uml#_9FdqwA-MEdyLh7muGbCqMw"/>
    </profileApplication>
  </uml:Model>
  <robotics.components:ComponentDefinitionModel xmi:id="_7dCd3Q6rEeqas7S1-hM4Zg" base_Package="_7dB2wA6rEeqas7S1-hM4Zg" external="true"/>
  <robotics.components:ComponentDefinition xmi:id="_ljZJoA6uEeqas7S1-hM4Zg" base_Class="_ljX7gA6uEeqas7S1-hM4Zg" isLifecycle="false"/>
  <robotics.components:ComponentService xmi:id="_lt3UQA6uEeqas7S1-hM4Zg" base_Class="_lt04AA6uEeqas7S1-hM4Zg"/>
  <robotics.components:ComponentService xmi:id="_lt8MwA6uEeqas7S1-hM4Zg" base_Class="_lt6XkA6uEeqas7S1-hM4Zg"/>
  <robotics.components:ComponentService xmi:id="_luAeMA6uEeqas7S1-hM4Zg" base_Class="_lt-pAA6uEeqas7S1-hM4Zg"/>
  <robotics.components:ComponentService xmi:id="_luEIkA6uEeqas7S1-hM4Zg" base_Class="_luCTYA6uEeqas7S1-hM4Zg"/>
  <robotics.components:ComponentService xmi:id="_luIaAA6uEeqas7S1-hM4Zg" base_Class="_luF9wA6uEeqas7S1-hM4Zg"/>
  <robotics.components:ComponentPort xmi:id="_wa1hUA9_EeqYjOkV1WinKg" base_Port="_lt-B8A6uEeqas7S1-hM4Zg"/>
  <robotics.components:ComponentPort xmi:id="_xoTaAA9_EeqYjOkV1WinKg" base_Port="_luBsUA6uEeqas7S1-hM4Zg"/>
  <robotics.components:ComponentPort xmi:id="_ykzegA9_EeqYjOkV1WinKg" base_Port="_luEvoQ6uEeqas7S1-hM4Zg"/>
  <robotics.components:ComponentPort xmi:id="_1hvJsA9_EeqYjOkV1WinKg" base_Port="_ltzp4A6uEeqas7S1-hM4Zg"/>
  <robotics.components:ComponentPort xmi:id="_2bvT0A9_EeqYjOkV1WinKg" base_Port="_lt5JcA6uEeqas7S1-hM4Zg"/>
  <robotics.parameters:Parameter xmi:id="_BODm4A-AEeqYjOkV1WinKg" base_Class="_BN_VcA-AEeqYjOkV1WinKg"/>
</xmi:XMI>
